Agent Management – Pause or Unpause Queue Service
Pause or unpause service (i.e. receiving queue calls) for an agent in one or more queues.
Request URL
GET {base_url}/{api_path}/agent/pause?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ext_id | Yes | Integer | The extension ID of the dynamic agent. Note: You can query agent's extension ID using Search Specific Extensions. |
| queue_ids | No | String | Important: If this parameter is not included, the system will pause or unpause service for the agent in all queues.The unique ID(s) of the queue(s), used to specify in which queue(s) the agent will be paused or unpaused. Note:
|
| operation | Yes | String | Pause or unpause service for agent in specific queue(s). Valid value:
|
| max_threshold_for_pause_time | No | Integer | The amount of time in seconds that the dynamic agent will pause service. Valid value:
|
| reason | No | String | Feature code for the pause reason. Valid value: The feature code for the existing pause reasons on PBX.Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Pause the service for an agent (Extension ID: 85) in all the queues with the pause reason "Lunch" (Feature code: *01).
GET /openapi/v1.0/agent/pause?access_token=7TBj7xavDnMljNQXb8bVAxUgNrxE7u1r&ext_id=85&operation=pause&reason=*01 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}